xcffib-0.5.1: A cffi-based python binding for X

Safe Haskell | None
Language | Haskell98

Data.XCB.Python.Parse

Synopsis

- parseXHeaders :: FilePath -> IO [XHeader]
- xform :: [XHeader] -> [(String, Suite ())]
- renderPy :: Suite () -> String
- calcsize :: String -> Int

# Documentation

parseXHeaders :: FilePath -> IO [XHeader] #

xform :: [XHeader] -> [(String, Suite ())] #

Generate the code for a set of X headers. Note that the code is generated in dependency order, NOT in the order you pass them in. Thus, you get a string (a suggested filename) along with the python code for that XHeader back.

renderPy :: Suite () -> String #

calcsize :: String -> Int #

Clone of python's struct.calcsize.